## v2.20.0 - 2024-06-05
### Fixed
* ([#170](https://gitlab.com/Chill-Projet/chill-bundles/-/issues/170)) Display agents traitants instead of accompanying period referrer in export list social actions.
* Added translations for choices of durations (> 5 hours)
### Feature
* ([#145](https://gitlab.com/Chill-Projet/chill-bundles/-/issues/145)) Allow to open documents in LibreOffice locally (need configuration within security);

  This endpoint should be added to make the endpoint works properly:

  ```yaml
  security:
      firewalls:
          dav:
               pattern: ^/dav
               provider: chain_provider
               stateless: true
               guard:
                   authenticators:
                       - Chill\DocStoreBundle\Security\Guard\JWTOnDavUrlAuthenticator

  ```
